var a = Object.defineProperty;
var r = (e, t, i) => t in e ? a(e, t, { enumerable: !0, configurable: !0, writable: !0, value: i }) : e[t] = i;
var o = (e, t, i) => (r(e, typeof t != "symbol" ? t + "" : t, i), i);
import { ModelUtil as l } from "@ibiz-template/model";
import { PluginStaticResource as s } from "@ibiz-template/runtime";
const n = new s(import.meta.url), m = {
  mateUrl: import.meta.url,
  install(e) {
    l.getModelService().then((t) => {
      t.app.userParams.autoWidth === "true" && document.getElementsByClassName("app")[0].classList.add("auto-width");
    }), n.loadStyle(["/style.css"]), ibiz.config.enableDataInfoBar = !1, ibiz.config.gridEditShowMode = "all";
  }
};
const c = new s(import.meta.url);
class d {
  constructor() {
    o(this, "component", "IndexView");
  }
}
const S = {
  mateUrl: import.meta.url,
  install(e) {
    c.loadStyle(["/style.css"]), e.use(m), ibiz.register.view.register(
      "VIEW_CUSTOM_SyZhbgCxfhWeb",
      new d()
    );
  }
};
export {
  S as default
};
